Package org.eclipse.birt.chart.computation

# Class RotatedRectangle

java.lang.Object
org.eclipse.birt.chart.computation.Polygon
org.eclipse.birt.chart.computation.RotatedRectangle

public final class RotatedRectangle extends Polygon
RotatedRectangle

## Method Summary

Modifier and Type
Method
Description
`Point[]`
`asPoints()`
Returns points as Point objects.
`Point`
`getRectSize()`
returns the size of the rectangle.
`int[]`
`getSwtPoints()`
Returns points as a single array, [x1,y1,x2,y2,...]
`void`
`shiftVertices(double dOffset)`
Shifts both X,Y values by given offset.
`void`
`shiftXVertices(double dOffset)`
Shifts all X-value by given offset.
`void`
`shiftYVertices(double dOffset)`
Shifts all Y-value by given offset.

### Methods inherited from class org.eclipse.birt.chart.computation.Polygon

`add, add, contains, getBounds, getPoint, getPoints, intersects`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSwtPoints

public int[] getSwtPoints()
Returns points as a single array, [x1,y1,x2,y2,...]

Returns:

### shiftXVertices

public void shiftXVertices(double dOffset)
Shifts all X-value by given offset.

Parameters:
  `dOffset` -

### shiftYVertices

public void shiftYVertices(double dOffset)
Shifts all Y-value by given offset.

Parameters:
  `dOffset` -

### shiftVertices

public void shiftVertices(double dOffset)
Shifts both X,Y values by given offset.

Parameters:
  `dOffset` -

### asPoints

public Point[] asPoints()
Returns points as Point objects.

Returns:

### getRectSize

public Point getRectSize()
returns the size of the rectangle.

Returns: